---
sidebar_label: LocatorEvent
---

# LocatorEvent enum

All the events that a locator instance may emit.

#### Signature:

```typescript
export declare enum LocatorEvent
```

## Enumeration Members

| Member | Value                           | Description                                                                         |
| ------ | ------------------------------- | ----------------------------------------------------------------------------------- |
| Action | <code>&quot;action&quot;</code> | Emitted every time before the locator performs an action on the located element(s). |
